List items in trash
GET
/v1/trashcurl -X GET 'https://api.embodiflow.io/v1/trash' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
查询参数
- pageSizenumber
Page size (default 25, maximum 100). Over-maximum is refused.
- pageTokenstring
Opaque page token from the previous response.
- typestring可选值projectrecordingepisodeversionmodel
- projectIdstring (uuid)
响应
Success
- dataarray<TrashItemDto>必填
- typestring必填可选值projectversionrecordingepisodemodel
- idstring必填
- namestring必填
- projectIdstring必填
- deletedBystring | null必填
- deletedAtstring必填
- restoreUntilstring必填
- sizeBytesnumber必填
- nextPageTokenstring
Opaque AIP-158 page token. Omitted when the collection is exhausted.
- metaobject必填
- pageSizenumber必填
- requestIdstring
响应示例
{
"data": [
{
"type": "project",
"id": "string",
"name": "string",
"projectId": "string",
"deletedBy": "string",
"deletedAt": "string",
"restoreUntil": "string",
"sizeBytes": 0
}
],
"nextPageToken": "string",
"meta": {
"pageSize": 0,
"requestId": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1